Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4647)
@@ -289,46 +329,197 @@
             this.lastActivityDateDataGridViewTextBoxColumn.Name = "lastActivityDateDataGridViewTextBoxColumn";
             // 
-            // bsUsers
-            // 
-            this.bsUsers.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.User);
-            // 
-            // bsRoles
-            // 
-            this.bsRoles.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.Role);
-            // 
-            // applicationIdDataGridViewTextBoxColumn
-            // 
-            this.applicationIdDataGridViewTextBoxColumn.DataPropertyName = "ApplicationId";
-            this.applicationIdDataGridViewTextBoxColumn.HeaderText = "ApplicationId";
-            this.applicationIdDataGridViewTextBoxColumn.Name = "applicationIdDataGridViewTextBoxColumn";
-            this.applicationIdDataGridViewTextBoxColumn.ReadOnly = true;
-            // 
-            // RoleId
-            // 
-            this.RoleId.DataPropertyName = "RoleId";
-            this.RoleId.HeaderText = "RoleId";
-            this.RoleId.Name = "RoleId";
-            this.RoleId.ReadOnly = true;
-            // 
-            // RoleName
-            // 
-            this.RoleName.DataPropertyName = "RoleName";
-            this.RoleName.HeaderText = "RoleName";
-            this.RoleName.Name = "RoleName";
-            this.RoleName.ReadOnly = true;
-            // 
-            // LoweredRoleName
-            // 
-            this.LoweredRoleName.DataPropertyName = "LoweredRoleName";
-            this.LoweredRoleName.HeaderText = "LoweredRoleName";
-            this.LoweredRoleName.Name = "LoweredRoleName";
-            this.LoweredRoleName.ReadOnly = true;
-            // 
-            // Description
-            // 
-            this.Description.DataPropertyName = "Description";
-            this.Description.HeaderText = "Description";
-            this.Description.Name = "Description";
-            this.Description.ReadOnly = true;
+            // tabPage3
+            // 
+            this.tabPage3.AutoScroll = true;
+            this.tabPage3.Controls.Add(emailLabel);
+            this.tabPage3.Controls.Add(this.emailTextBox);
+            this.tabPage3.Controls.Add(passwordSaltLabel);
+            this.tabPage3.Controls.Add(this.passwordSaltTextBox);
+            this.tabPage3.Controls.Add(passwordQuestionLabel);
+            this.tabPage3.Controls.Add(this.passwordQuestionTextBox);
+            this.tabPage3.Controls.Add(passwordAnswerLabel);
+            this.tabPage3.Controls.Add(this.passwordAnswerTextBox);
+            this.tabPage3.Controls.Add(passwordLabel);
+            this.tabPage3.Controls.Add(this.passwordTextBox);
+            this.tabPage3.Controls.Add(isAnonymousLabel);
+            this.tabPage3.Controls.Add(this.isAnonymousCheckBox);
+            this.tabPage3.Location = new System.Drawing.Point(4, 22);
+            this.tabPage3.Name = "tabPage3";
+            this.tabPage3.Padding = new System.Windows.Forms.Padding(3);
+            this.tabPage3.Size = new System.Drawing.Size(1078, 159);
+            this.tabPage3.TabIndex = 0;
+            this.tabPage3.Text = "Detail";
+            this.tabPage3.UseVisualStyleBackColor = true;
+            // 
+            // isAnonymousLabel
+            // 
+            isAnonymousLabel.AutoSize = true;
+            isAnonymousLabel.Location = new System.Drawing.Point(15, 22);
+            isAnonymousLabel.Name = "isAnonymousLabel";
+            isAnonymousLabel.Size = new System.Drawing.Size(76, 13);
+            isAnonymousLabel.TabIndex = 0;
+            isAnonymousLabel.Text = "Is Anonymous:";
+            // 
+            // isAnonymousCheckBox
+            // 
+            this.isAnonymousCheckBox.DataBindings.Add(new System.Windows.Forms.Binding("CheckState", this.bsUsers, "IsAnonymous", true));
+            this.isAnonymousCheckBox.Location = new System.Drawing.Point(98, 17);
+            this.isAnonymousCheckBox.Name = "isAnonymousCheckBox";
+            this.isAnonymousCheckBox.Size = new System.Drawing.Size(104, 24);
+            this.isAnonymousCheckBox.TabIndex = 1;
+            this.isAnonymousCheckBox.Text = "checkBox1";
+            this.isAnonymousCheckBox.UseVisualStyleBackColor = true;
+            // 
+            // passwordLabel
+            // 
+            passwordLabel.AutoSize = true;
+            passwordLabel.Location = new System.Drawing.Point(15, 73);
+            passwordLabel.Name = "passwordLabel";
+            passwordLabel.Size = new System.Drawing.Size(56, 13);
+            passwordLabel.TabIndex = 2;
+            passwordLabel.Text = "Password:";
+            // 
+            // passwordTextBox
+            // 
+            this.passwordTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUsers, "Membership.Password", true));
+            this.passwordTextBox.Location = new System.Drawing.Point(98, 70);
+            this.passwordTextBox.Name = "passwordTextBox";
+            this.passwordTextBox.Size = new System.Drawing.Size(203, 20);
+            this.passwordTextBox.TabIndex = 3;
+            // 
+            // passwordAnswerLabel
+            // 
+            passwordAnswerLabel.AutoSize = true;
+            passwordAnswerLabel.Location = new System.Drawing.Point(318, 46);
+            passwordAnswerLabel.Name = "passwordAnswerLabel";
+            passwordAnswerLabel.Size = new System.Drawing.Size(94, 13);
+            passwordAnswerLabel.TabIndex = 4;
+            passwordAnswerLabel.Text = "Password Answer:";
+            // 
+            // passwordAnswerTextBox
+            // 
+            this.passwordAnswerTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUsers, "Membership.PasswordAnswer", true));
+            this.passwordAnswerTextBox.Location = new System.Drawing.Point(425, 43);
+            this.passwordAnswerTextBox.Name = "passwordAnswerTextBox";
+            this.passwordAnswerTextBox.Size = new System.Drawing.Size(188, 20);
+            this.passwordAnswerTextBox.TabIndex = 5;
+            // 
+            // passwordQuestionLabel
+            // 
+            passwordQuestionLabel.AutoSize = true;
+            passwordQuestionLabel.Location = new System.Drawing.Point(318, 73);
+            passwordQuestionLabel.Name = "passwordQuestionLabel";
+            passwordQuestionLabel.Size = new System.Drawing.Size(101, 13);
+            passwordQuestionLabel.TabIndex = 6;
+            passwordQuestionLabel.Text = "Password Question:";
+            // 
+            // passwordQuestionTextBox
+            // 
+            this.passwordQuestionTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUsers, "Membership.PasswordQuestion", true));
+            this.passwordQuestionTextBox.Location = new System.Drawing.Point(425, 70);
+            this.passwordQuestionTextBox.Name = "passwordQuestionTextBox";
+            this.passwordQuestionTextBox.Size = new System.Drawing.Size(188, 20);
+            this.passwordQuestionTextBox.TabIndex = 7;
+            // 
+            // passwordSaltLabel
+            // 
+            passwordSaltLabel.AutoSize = true;
+            passwordSaltLabel.Location = new System.Drawing.Point(15, 99);
+            passwordSaltLabel.Name = "passwordSaltLabel";
+            passwordSaltLabel.Size = new System.Drawing.Size(77, 13);
+            passwordSaltLabel.TabIndex = 8;
+            passwordSaltLabel.Text = "Password Salt:";
+            // 
+            // passwordSaltTextBox
+            // 
+            this.passwordSaltTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUsers, "Membership.PasswordSalt", true));
+            this.passwordSaltTextBox.Location = new System.Drawing.Point(99, 96);
+            this.passwordSaltTextBox.Name = "passwordSaltTextBox";
+            this.passwordSaltTextBox.Size = new System.Drawing.Size(202, 20);
+            this.passwordSaltTextBox.TabIndex = 9;
+            // 
+            // emailLabel
+            // 
+            emailLabel.AutoSize = true;
+            emailLabel.Location = new System.Drawing.Point(15, 46);
+            emailLabel.Name = "emailLabel";
+            emailLabel.Size = new System.Drawing.Size(35, 13);
+            emailLabel.TabIndex = 10;
+            emailLabel.Text = "Email:";
+            // 
+            // emailTextBox
+            // 
+            this.emailTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUsers, "Membership.Email", true));
+            this.emailTextBox.Location = new System.Drawing.Point(98, 43);
+            this.emailTextBox.Name = "emailTextBox";
+            this.emailTextBox.Size = new System.Drawing.Size(203, 20);
+            this.emailTextBox.TabIndex = 11;
+            // 
+            // dataGridView1
+            // 
+            this.dataGridView1.AllowUserToAddRows = false;
+            this.dataGridView1.AllowUserToDeleteRows = false;
+            this.dataGridView1.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
+            this.dataGridView1.Location = new System.Drawing.Point(6, 22);
+            this.dataGridView1.Name = "dataGridView1";
+            this.dataGridView1.ReadOnly = true;
+            this.dataGridView1.Size = new System.Drawing.Size(437, 91);
+            this.dataGridView1.TabIndex = 0;
+            // 
+            // roleNameLabel
+            // 
+            roleNameLabel.AutoSize = true;
+            roleNameLabel.Location = new System.Drawing.Point(12, 22);
+            roleNameLabel.Name = "roleNameLabel";
+            roleNameLabel.Size = new System.Drawing.Size(63, 13);
+            roleNameLabel.TabIndex = 0;
+            roleNameLabel.Text = "Role Name:";
+            // 
+            // roleNameTextBox
+            // 
+            this.roleNameTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsRoles, "RoleName", true));
+            this.roleNameTextBox.Location = new System.Drawing.Point(81, 19);
+            this.roleNameTextBox.Name = "roleNameTextBox";
+            this.roleNameTextBox.Size = new System.Drawing.Size(191, 20);
+            this.roleNameTextBox.TabIndex = 1;
+            // 
+            // dataGridView2
+            // 
+            this.dataGridView2.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
+            this.dataGridView2.Location = new System.Drawing.Point(34, 28);
+            this.dataGridView2.Name = "dataGridView2";
+            this.dataGridView2.Size = new System.Drawing.Size(520, 108);
+            this.dataGridView2.TabIndex = 0;
+            // 
+            // roleIdDataGridViewTextBoxColumn
+            // 
+            this.roleIdDataGridViewTextBoxColumn.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
+            this.roleIdDataGridViewTextBoxColumn.DataPropertyName = "RoleId";
+            this.roleIdDataGridViewTextBoxColumn.HeaderText = "Id";
+            this.roleIdDataGridViewTextBoxColumn.Name = "roleIdDataGridViewTextBoxColumn";
+            this.roleIdDataGridViewTextBoxColumn.Width = 41;
+            // 
+            // roleNameDataGridViewTextBoxColumn
+            // 
+            this.roleNameDataGridViewTextBoxColumn.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
+            this.roleNameDataGridViewTextBoxColumn.DataPropertyName = "RoleName";
+            this.roleNameDataGridViewTextBoxColumn.HeaderText = "Name";
+            this.roleNameDataGridViewTextBoxColumn.Name = "roleNameDataGridViewTextBoxColumn";
+            // 
+            // loweredRoleNameDataGridViewTextBoxColumn
+            // 
+            this.loweredRoleNameDataGridViewTextBoxColumn.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
+            this.loweredRoleNameDataGridViewTextBoxColumn.DataPropertyName = "LoweredRoleName";
+            this.loweredRoleNameDataGridViewTextBoxColumn.HeaderText = "Lowered Name";
+            this.loweredRoleNameDataGridViewTextBoxColumn.Name = "loweredRoleNameDataGridViewTextBoxColumn";
+            this.loweredRoleNameDataGridViewTextBoxColumn.Width = 96;
+            // 
+            // descriptionDataGridViewTextBoxColumn
+            // 
+            this.descriptionDataGridViewTextBoxColumn.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
+            this.descriptionDataGridViewTextBoxColumn.DataPropertyName = "Description";
+            this.descriptionDataGridViewTextBoxColumn.HeaderText = "Description";
+            this.descriptionDataGridViewTextBoxColumn.Name = "descriptionDataGridViewTextBoxColumn";
+            this.descriptionDataGridViewTextBoxColumn.Width = 85;
             // 
             // UserManagement
@@ -340,16 +531,26 @@
             this.Name = "UserManagement";
             this.Text = "UserManagement";
-            this.grpUsers.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.dgvUsers)).EndInit();
-            this.grpRoles.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.dgvRoles)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.bsUsers)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.bsRoles)).EndInit();
             this.scMain.Panel1.ResumeLayout(false);
             this.scMain.Panel2.ResumeLayout(false);
             ((System.ComponentModel.ISupportInitialize)(this.scMain)).EndInit();
             this.scMain.ResumeLayout(false);
+            this.tabControl1.ResumeLayout(false);
+            this.tabPage1.ResumeLayout(false);
+            this.tabPage2.ResumeLayout(false);
+            this.tabControl2.ResumeLayout(false);
+            this.tabPage4.ResumeLayout(false);
+            this.tabControl3.ResumeLayout(false);
+            this.tabPage5.ResumeLayout(false);
+            this.tabPage5.PerformLayout();
+            this.tabPage6.ResumeLayout(false);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvUsers)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvRoles)).EndInit();
             this.panel1.ResumeLayout(false);
-            this.panel2.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.bsUsers)).EndInit();
-            ((System.ComponentModel.ISupportInitialize)(this.bsRoles)).EndInit();
+            this.tabPage3.ResumeLayout(false);
+            this.tabPage3.PerformLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dataGridView2)).EndInit();
             this.ResumeLayout(false);
 
@@ -358,17 +559,21 @@
         #endregion
 
-        private System.Windows.Forms.GroupBox grpUsers;
-        private System.Windows.Forms.DataGridView dgvUsers;
-        private System.Windows.Forms.Button btnUserNew;
-        private System.Windows.Forms.Button btnUserModify;
-        private System.Windows.Forms.Button btnUserDelete;
-        private System.Windows.Forms.GroupBox grpRoles;
-        private System.Windows.Forms.DataGridView dgvRoles;
-        private System.Windows.Forms.Button btnRoleNew;
-        private System.Windows.Forms.Button btnRoleModify;
-        private System.Windows.Forms.Button btnRoleDelete;
         private System.Windows.Forms.BindingSource bsUsers;
         private System.Windows.Forms.BindingSource bsRoles;
-        private System.Windows.Forms.DataGridViewTextBoxColumn applicationIdDataGridViewTextBoxColumn1;
+        private System.Windows.Forms.SplitContainer scMain;
+        private System.Windows.Forms.TabControl tabControl1;
+        private System.Windows.Forms.TabPage tabPage1;
+        private System.Windows.Forms.DataGridView dgvUsers;
+        private System.Windows.Forms.TabControl tabControl2;
+        private System.Windows.Forms.TabPage tabPage4;
+        private System.Windows.Forms.TabPage tabPage2;
+        private System.Windows.Forms.DataGridView dgvRoles;
+        private System.Windows.Forms.TabControl tabControl3;
+        private System.Windows.Forms.TabPage tabPage5;
+        private System.Windows.Forms.TabPage tabPage6;
+        private System.Windows.Forms.Panel panel1;
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn membershipDataGridViewTextBoxColumn;
+        private System.Windows.Forms.DataGridViewTextBoxColumn applicationIdDataGridViewTextBoxColumn;
         private System.Windows.Forms.DataGridViewTextBoxColumn userIdDataGridViewTextBoxColumn;
         private System.Windows.Forms.DataGridViewTextBoxColumn userNameDataGridViewTextBoxColumn;
@@ -377,12 +582,18 @@
         private System.Windows.Forms.DataGridViewCheckBoxColumn isAnonymousDataGridViewCheckBoxColumn;
         private System.Windows.Forms.DataGridViewTextBoxColumn lastActivityDateDataGridViewTextBoxColumn;
-        private System.Windows.Forms.SplitContainer scMain;
-        private System.Windows.Forms.Panel panel1;
-        private System.Windows.Forms.Panel panel2;
-        private System.Windows.Forms.DataGridViewTextBoxColumn applicationIdDataGridViewTextBoxColumn;
-        private System.Windows.Forms.DataGridViewTextBoxColumn RoleId;
-        private System.Windows.Forms.DataGridViewTextBoxColumn RoleName;
-        private System.Windows.Forms.DataGridViewTextBoxColumn LoweredRoleName;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Description;
+        private System.Windows.Forms.TabPage tabPage3;
+        private System.Windows.Forms.TextBox emailTextBox;
+        private System.Windows.Forms.TextBox passwordSaltTextBox;
+        private System.Windows.Forms.TextBox passwordQuestionTextBox;
+        private System.Windows.Forms.TextBox passwordAnswerTextBox;
+        private System.Windows.Forms.TextBox passwordTextBox;
+        private System.Windows.Forms.CheckBox isAnonymousCheckBox;
+        private System.Windows.Forms.DataGridView dataGridView1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn roleIdDataGridViewTextBoxColumn;
+        private System.Windows.Forms.DataGridViewTextBoxColumn roleNameDataGridViewTextBoxColumn;
+        private System.Windows.Forms.DataGridViewTextBoxColumn loweredRoleNameDataGridViewTextBoxColumn;
+        private System.Windows.Forms.DataGridViewTextBoxColumn descriptionDataGridViewTextBoxColumn;
+        private System.Windows.Forms.TextBox roleNameTextBox;
+        private System.Windows.Forms.DataGridView dataGridView2;
     }
 }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.cs	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.cs	(revision 4647)
@@ -15,4 +15,5 @@
 
         AuthenticationService service;
+        Guid applicationId = new Guid("04371D20-8FD4-4607-A632-42C8D186786B");
 
         public UserManagement()
@@ -21,4 +22,6 @@
             Initialize();
         }
+
+
         private void Initialize()
         {
@@ -26,78 +29,11 @@
             if (service != null)
             {
-                this.bsRoles.DataSource = service.GetRoles();
-                this.bsUsers.DataSource = service.GetUsers();
+                this.bsRoles.DataSource = service.GetRoles(applicationId);
+                this.bsUsers.DataSource = service.GetUsers(applicationId);
 
             }
         }
 
-        private void btnUserNew_Click(object sender, EventArgs e)
-        {
-            UserDetail frmUserDetail = new UserDetail(UserDetailMode.Insert, service);
-            frmUserDetail.Show(this);
-        }
-
-
-        private void btnUserModify_Click(object sender, EventArgs e)
-        {
-
-           
-            if (dgvUsers.SelectedRows.Count == 1)
-            {
-                User user = (User)dgvUsers.SelectedRows[0].DataBoundItem; 
-                if (user != null)
-                {
-                   
-                    UserDetail frmUserDetail = new UserDetail(UserDetailMode.Update,service);
-                    frmUserDetail.Show(this);
-                    frmUserDetail.Initialize(user);
-                }
-            }
-        }
-
-        private void btnUserDelete_Click(object sender, EventArgs e)
-        {
-            if (dgvUsers.SelectedRows.Count == 1)
-            {
-                User user = (User)dgvUsers.SelectedRows[0].DataBoundItem;
-                if (user != null)
-                {
-                    service.DeleteUser(user.UserId);
-                }
-            }
-        }
-
-        private void btnRoleNew_Click(object sender, EventArgs e)
-        {
-            RoleDetail frmRoleDetail = new RoleDetail(RoleDetailMode.Insert, service,null);
-            frmRoleDetail.Show(this);
-        }          
-
-        private void btnRoleModify_Click(object sender, EventArgs e)
-        {
-            if (dgvRoles.SelectedRows.Count == 1)
-            {
-                Role role = (Role)dgvRoles.SelectedRows[0].DataBoundItem;
-                if (role != null)
-                {
-
-                    RoleDetail frmRoleDetail = new RoleDetail(RoleDetailMode.Update, service, role);
-                    frmRoleDetail.Show(this);
-                  
-                }
-            }
-        }
-
-        private void btnRoleDelete_Click(object sender, EventArgs e)
-        {
-            if (dgvRoles.SelectedRows.Count == 1)
-            {
-                Role role = (Role)dgvRoles.SelectedRows[0].DataBoundItem;
-                if (role != null)
-                {
-                    service.DeleteRole(role.RoleId);
-                }
-            }
-        }
+    
 
  
